Subject: Re: bug#20614: Segmentation fault when building on Power8 Little Endian

From: Eli Zaretskii <[email-masked]>
Date: Mon, 05 Oct 2015 19:52:10 +0300

> Cc: [email-masked]
> From: Petr Hracek <[email-masked]>
> Date: Mon, 5 Oct 2015 16:07:43 +0200
> 
> cd ../lisp; make -w compile-first 
> EMACS=/home/phracek/rpmbuild/BUILD/emacs-24.3/src/bootstrap-emacs
> make[3]: Entering directory `/home/phracek/rpmbuild/BUILD/emacs-24.3/lisp'
> Compiling 
> /home/phracek/rpmbuild/BUILD/emacs-24.3/lisp/emacs-lisp/macroexp.el
> /bin/sh: /home/phracek/rpmbuild/BUILD/emacs-24.3/src/bootstrap-emacs: 
> cannot execute binary file
> make[3]: *** 
> [/home/phracek/rpmbuild/BUILD/emacs-24.3/lisp/emacs-lisp/macroexp.elc] 
> Error 126
> make[3]: Leaving directory `/home/phracek/rpmbuild/BUILD/emacs-24.3/lisp'
> make[2]: *** [bootstrap-emacs] Error 2
> make[2]: Leaving directory `/home/phracek/rpmbuild/BUILD/emacs-24.3/src'
> make[1]: *** [src] Error 2
> make[1]: Leaving directory `/home/phracek/rpmbuild/BUILD/emacs-24.3'
> 
> Some information about bootstrap-emacs binary:
> $ file /home/phracek/rpmbuild/BUILD/emacs-24.3/src/bootstrap-emacs
> /home/phracek/rpmbuild/BUILD/emacs-24.3/src/bootstrap-emacs: ELF 64-bit 
> LSB executable, 64-bit PowerPC or cisco 7500, version 1 (SYSV), 
> corrupted program header size, stripped
> $
> 
> If condition valid_pointer_p is set to >= 0 then it segfaults again.
> Where can be a problem now?

I don't know, sorry.  This requires help from someone who knows about
the structure of ELF executables.  I suggested to ask some of Binutils
maintainers to help.